LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSynchronousFrameLoader Interface Referencepublished

loads a resource into a Frame. More...

`import"XSynchronousFrameLoader.idl";`

Inheritance diagram for XSynchronousFrameLoader:

## Public Member Functions
boolean | load ([in] sequence< com::sun::star::beans::PropertyValue > Descriptor, [in] XFrame Frame)
| starts the loading of the specified resource into the specified Frame. More...
void | cancel ()
| cancels the loading process. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

loads a resource into a Frame.

Unlike the XFrameLoader interface, this loading will be synchronous.

See also
  XFrameLoader

## Member Function Documentation

## ◆ cancel()

void cancel | ( |  | ) |

cancels the loading process.

No notifications (neither to the frame or the caller) must be notified. Because it's a synchronous process this cancel call can be forced by another thread the loader thread only. Method XSynchronousFrameLoader::load() must return `FALSE` then and caller of this method XSynchronousFrameLoader::cancel() already knows the state ...

## ◆ load()

boolean load | ( | [in] sequence< com::sun::star::beans::PropertyValue > | Descriptor,
|  | [in] XFrame | Frame
| ) |  |

starts the loading of the specified resource into the specified Frame.

Parameters

  Descriptor | describes the resource which should be loaded It use a com::sun::star::document::MediaDescriptor for that.
  Frame | the target frame which should contain the new loaded component

Returns
  `TRUE` if loading is successfully
  `FALSE` otherwise

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XSynchronousFrameLoader.idl